Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685224 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Erica von Buelow
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On: 1685219
Blocks: 1685225 1685227 1685228 1685229 1685230 1685232
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:29 UTC by Clayton Coleman
Modified: 2019-03-29 17:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1685219
: 1685225 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Clayton Coleman 2019-03-04 17:29:32 UTC
+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-cluster-machine-approver","machine-approver-6bc759c997-pq6xg"]

Comment 4 Chuan Yu 2019-03-14 03:44:50 UTC
Verified.

$ oc get deployment -n openshift-cluster-machine-approver -o json | jq '.items[0].spec.template.spec.containers[0].imagePullPolicy' 
"IfNotPresent"

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-03-13-233958   True        False         24m     Cluster version is 4.0.0-0.nightly-2019-03-13-233958


Note You need to log in before you can comment on or make changes to this bug.